Skip to content

Instantly share code, notes, and snippets.

@ezkl ezkl/gist:804753
Created Jan 31, 2011

Embed
What would you like to do?
flat_namespace -lruby.1.9.1 -lsybdb -lpthread -ldl -lobjc
ld: in /Developer/SDKs/MacOSX10.6.sdk/usr/local/lib/libiconv.2.dylib, missing required architecture x86_64 in file
collect2: ld returned 1 exit status
make: *** [tiny_tds.bundle] Error 1
$ brew install libiconv
$ rvm remove 1.9.2
$ rvm install 1.9.2 --with-iconv-dir=/usr/local/Cellar/libiconv/1.13.1
$ brew link libiconv
$ gem install tiny_tds
$ brew unlink libiconv
@ezkl

This comment has been minimized.

Copy link
Owner Author

commented Jan 31, 2011

I had trouble installing the 'tiny_tds' gem on Snow Leopard, w/ Ruby 1.9.2 (via RVM), and freetds (via Homebrew.) These steps allowed me to install the gem.

In retrospect, it is quite likely that building 1.9.2 against the homebrew iconv was unecessary.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.